Subject: bug#15829: Opening nnfolder server on archive...failed

From: Sam Steingold <[email-masked]>
Date: Mon, 03 Feb 2014 15:17:41 -0500

> * Lars Ingebrigtsen <[email-masked]> [2014-01-30 17:16:17 -0800]:
>
> Sam Steingold <[email-masked]> writes:
>
>> Warning: Opening nnfolder server on archive...failed: ; Unable to open
>> server nnfolder+archive due to: Creating directory: Operation not
>> supported, /home/sds
>>
>> this is because on mac the home is in /Users, not /home.
>> I can, of course, customize nnfolder-directory and nnfolder-active-file,
>> but this seems wrong as I am not using nnfolder for anything.
>
> (defvoo nnfolder-directory (expand-file-name message-directory)
>   "The name of the nnfolder directory.")

nnfolder-directory
==> "/home/sds/Mail/archive"

message-directory (customized to gnus-directory in .emacs)
==> "/Users/sds/Mail/"

gnus-directory (customized in .emacs)
==> "/Users/sds/Mail/"

(assq 'nnfolder-directory (third (assq 'nnfolder nnoo-definition-alist)))
==> (nnfolder-directory . "/Users/sds/Mail/")

> message-directory
> => "~/Mail/"
>
> So ... is ~ expanding to the wrong directory on Mac?

(expand-file-name "~")
==> "/Users/sds"

> Anyway, could you set `debug-on-error' to t and post the backtrace you
> get?  It shouldn't be trying to create any directories on open, I think...

I always run with debug-on-error==t; however, gnus, apparently, handles
the error.

-- 
Sam Steingold (http://sds.podval.org/) on darwin Ns 10.3.1265
http://www.childpsy.net/ http://openvotingconsortium.org
http://americancensorship.org http://palestinefacts.org
What was there first: the Compiler or its Source code?